/swap
Swap ADA for CNTs (Cardano Native Tokens) or CNTs for ADA using SundaeSwap DEX. This endpoint is mainnet-only.
Authorization
API-Key token<token>
API key authentication via header (token)
In: header
Request Body
application/json
Swap request parameters
Response Body
application/json
curl -X POST "https://loading/./../api/v1/swap" \ -H "Content-Type: application/json" \ -d '{ "walletVkey": "wallet_verification_key_here", "amount": 1, "FromToken": { "policyId": "c48cbb3d5e57ed56e276bc45f99ab39abe94e6cd7ac39fb402da47ad", "assetName": "5553444d", "name": "USDM" }, "ToToken": { "policyId": "c48cbb3d5e57ed56e276bc45f99ab39abe94e6cd7ac39fb402da47ad", "assetName": "5553444d", "name": "USDM" }, "poolId": "64f35d26b237ad58e099041bc14c687ea7fdc58969d7d5b66e2540ef", "slippage": 0.03 }'{
"txHash": "abc123def456...",
"walletAddress": "addr1..."
}Empty
Empty
Empty



